Bug 622928 (CVE-2010-2811) - CVE-2010-2811 vdsm: SSL accept() blocks on a non-blocking Connection
Summary: CVE-2010-2811 vdsm: SSL accept() blocks on a non-blocking Connection
Status: CLOSED ERRATA
Alias: CVE-2010-2811
Product: Security Response
Classification: Other
Component: vulnerability   
(Show other bugs)
Version: unspecified
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: public=20100819,reported=20100702,sou...
Keywords: Security
Depends On: 610884 622934
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-08-10 19:58 UTC by Petr Matousek
Modified: 2016-04-26 22:37 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-07-29 12:51:59 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2010:0622 normal SHIPPED_LIVE Important: rhev-hypervisor security and bug fix update 2010-08-19 21:45:16 UTC
Red Hat Product Errata RHSA-2010:0628 normal SHIPPED_LIVE Moderate: vdsm22 security and bug fix update 2010-08-19 21:20:19 UTC

Description Petr Matousek 2010-08-10 19:58:20 UTC
It was found that VDSM did accept SSL connection in a flawed way. A malicious client could use this flaw to stop VDSM from accepting new connections (denial of service).

Comment 4 errata-xmlrpc 2010-08-19 21:20:23 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0628 https://rhn.redhat.com/errata/RHSA-2010-0628.html

Comment 5 errata-xmlrpc 2010-08-19 21:45:51 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Virtualization for RHEL-5

Via RHSA-2010:0622 https://rhn.redhat.com/errata/RHSA-2010-0622.html


Note You need to log in before you can comment on or make changes to this bug.